[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomSplitter.AnchorSplitter

AnchorSplitter anchors the splitter to AControl using the specified Kind of anchor.

## Declaration

Source position: extctrls.pp line 415

`public procedure TCustomSplitter.AnchorSplitter(`
`Kind: TAnchorKind;`
`AControl: TControl`
`);`

## Arguments

`Kind` |  | Indicates the edge of the splitter aligned to the opposite edge on the control.
`AControl` |  | The control to which the splitter is anchored.

## Description

Updates values in ResizeAnchor, Anchors and AnchorSide to reflect the value in Kind. Calls UpdateCursor to set the cursor shape for the anchor kind. Resizes the splitter to reflect the new value in ResizeAnchor.